Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.impl.dom
Class CompiletimeModel

    java.lang.Object
      de.grogra.xl.impl.base.CompiletimeModel
          de.grogra.xl.impl.dom.CompiletimeModel

All Implemented Interfaces:
  CompiletimeModel

    public class CompiletimeModel

extends CompiletimeModel

Constructor Summary
`CompiletimeModel()`

Method Summary
`Type<org.w3c.dom.Node>` | `getNodeType()` Specifies the base type of nodes of this model.
`Type<DOMProducer>` | `getProducerType()` Returns the type of producers for right-hand sides of rules for this model.
`Type<?>` | `getWrapperTypeFor(Type type)` Return the type of wrappers for values of the given type.

Methods inherited from class de.grogra.xl.impl.base.CompiletimeModel
`getEdgeType, getEdgeTypeFor, getQueryStateType, getRuntimeName, getStandardEdgeFor, getWrapProperty, needsWrapperFor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompiletimeModel

    public CompiletimeModel()

Method Detail

### getNodeType

    public Type<org.w3c.dom.Node> getNodeType()

  Description copied from interface: `CompiletimeModel`
  Specifies the base type of nodes of this model. This type is used where no specific type is available, e.g., for the node predicate "." and for the ends of standard edges.

  Returns:
    base type of nodes

### getProducerType

    public Type<DOMProducer> getProducerType()

  Description copied from interface: `CompiletimeModel`
  Returns the type of producers for right-hand sides of rules for this model.

  Returns:
    type of producers

### getWrapperTypeFor

    public Type<?> getWrapperTypeFor(Type type)

  Description copied from interface: `CompiletimeModel`
  Return the type of wrappers for values of the given type. This method is only invoked when `CompiletimeModel.needsWrapperFor(de.grogra.reflect.Type)` returns `true`.

  Parameters:
    `type` - a value type
  Returns:
    the corresponding wrapper type

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD